/* 
 * enPathia
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __KEYBOARD_H__
#define __KEYBOARD_H__

#define N_KEYB_SIZES	3

extern gboolean showing_keyboard;
extern gboolean mouse_over_keyboard;

void 
create_keyboard			(void);
void
reset_keyboard			(void);
void
destroy_keyboard		(void);
void
show_keyboard	 		(gint x, gint y);
void
hide_keyboard 			(void);
void
set_keyboard_size		(gint keyboard_size);
void
keyboard_handle_stopped	(void);
void
keyboard_handle_switch	(void);

#endif /* __KEYBOARD_H__ */
